## pkglab 1.4.2

=== Makefile ===
include Makefile.config

OCAMLFIND= ocamlfind 
PACKAGE=  -linkpkg -package dose2.conduit,dose2.io,dose2.lifetime,dose2.napkin,dose2.packetology,dose2.rapids,ledit
DESTDIR = /usr/bin
MANDIR = /usr/share/man

pkglab: dql/dql.cma pkglab.ml
ifdef	PROFILE
	$(OCAMLFIND) ocamlcp $(PACKAGE) -I dql -o pkglab $^
else
	$(OCAMLFIND) ocamlc $(PACKAGE) -I dql -o pkglab $^
endif

pkglab.opt: dql/dql.cmxa pkglab.ml
	$(OCAMLFIND) ocamlopt $(PACKAGE) -I dql -o pkglab.opt $^

dql/dql.cma:
	$(MAKE) PROFILE=${PROFILE} -C dql dql.cma

dql/dql.cmxa:
	$(MAKE) -C dql dql.cmxa

install:
	if [ -x pkglab.opt ] ; then \
		cp pkglab.opt $(BINDIR)/pkglab ; \
	elif [ -x pkglab ] ; then \
		cp pkglab $(BINDIR)/pkglab ; \
	else \
		echo "No executable to install found" ; exit 2 ; \
	fi
	test -d $(MANDIR)/man1 || mkdir -p $(MANDIR)/man1
	install -m 644 pkglab.1 $(MANDIR)/man1

clean:
	rm -rf pkglab.cmo pkglab.cmx pkglab pkglab.o pkglab.opt pkglab.cmi
	$(MAKE) -C dql clean
	rm -f dql/.depend

depend:
	touch dql/.depend
	$(MAKE) -C dql depend

=== distcheck/Makefile ===
include ../Makefile.config

SRCS=	common.ml
OBJS= $(SRCS:.ml=.cmo)
XBJS=	$(SRCS:.ml=.cmx)

PACKAGES=	dose2.packetology,dose2.rapids

OCAMLC=		ocamlfind ocamlc -package $(PACKAGES)
OCAMLOPT=	ocamlfind ocamlopt -package $(PACKAGES)

all: distcheck distcheck.opt

distcheck: $(OBJS)
	$(OCAMLC) -linkpkg -o $@ $^

distcheck.opt: $(XBJS)
	$(OCAMLOPT) -linkpkg -o $@ $^

.PHONY: install links
links: distcheck distcheck.opt
	ln -s distcheck debcheck
	ln -s distcheck.opt debcheck.opt
	ln -s distcheck rpmcheck
	ln -s distcheck.opt rpmcheck.opt
	ln -s distcheck pscheck
	ln -s distcheck.opt pscheck.opt

install: links
	cp distcheck $(BINDIR)
	cp distcheck.opt $(BINDIR)
	cp debcheck $(BINDIR)
	cp debcheck.opt $(BINDIR)
	cp rpmcheck $(BINDIR)
	cp rpmcheck.opt $(BINDIR)
	cp pscheck $(BINDIR)
	cp pscheck.opt $(BINDIR)

clean:
	rm -f distcheck distcheck.opt *.o *.cmo *.cmx

%.cmo: %.ml
	$(OCAMLC) -o $@ -c $^

%.cmx: %.ml
	$(OCAMLOPT) -o $@ -c $^

=== doc/Makefile ===
MAIN=pkglab

$(MAIN).ps: $(MAIN).dvi
	dvips -o $@ $<

$(MAIN).dvi: $(MAIN).tex
	latex $<

$(MAIN).pdf: $(MAIN).tex
	pdflatex $<

$(MAIN).html: $(MAIN).tex
	hevea $<

clean:
	 -rm -f $(MAIN).{aux,log,dvi,ps,pdf,html,haux}

.phony: clean

=== dql/Makefile ===
# Makefile

NAME=    dql
SOURCES= lexic.ml query.ml syntax.ml help.ml gregorian.ml cache.ml error.ml \
         interpreter.ml
MLIS=    help.mli gregorian.mli cache.mli error.mli interpreter.mli lexic.mli \
         syntax.mli
PACKAGES= pcre,dose2.rapids,dose2.lifetime,dose2.napkin,dose2.packetology,dose2.conduit,dose2.progress,dose2.util
EXTRA_CLEAN= syntax.ml syntax.mli lexic.ml

include ../Makefile.config
include .depend

interpreter.cmo: syntax.cmi lexic.cmo
interpreter.cmx: syntax.cmx lexic.cmx

syntax.ml syntax.mli: syntax.mly
	menhir $<

syntax.cmi: query.cmo
syntax.cmo: query.cmo syntax.cmi
syntax.cmx: query.cmx syntax.cmi

lexic.ml: lexic.mll syntax.cmi
	ocamllex -o $@ $<

lexic.cmi: syntax.cmi
lexic.cmo: syntax.cmi lexic.cmi
lexic.cmx: syntax.cmx lexic.cmi

CMOS=	$(SOURCES:%.ml=%.cmo)
CMIS=	$(MLIS:%.mli=%.cmi) query.cmi
CMXS=	$(SOURCES:%.ml=%.cmx)
OBJS=	$(C_SOURCES:%.c=%.o)

dql.cma: $(CMOS)
ifdef PROFILE
	ocamlfind ocamlcp -package $(PACKAGES) -o $@ -a $^
else
	ocamlfind ocamlc -package $(PACKAGES) -o $@ -a $^
endif

dql.cmxa: $(CMXS)
	ocamlfind ocamlopt -package $(PACKAGES) -o $@ -a $^

OCAMLC=		ocamlfind ocamlc
OCAMLCP=	ocamlfind ocamlcp
OCAMLOPT=	ocamlfind ocamlopt
OCAMLMKLIB=	ocamlmklib

%.cmo: %.ml
ifdef PROFILE
	$(OCAMLCP) -package $(PACKAGES) -o $@ -c $<
else
	$(OCAMLC) -package $(PACKAGES) -o $@ -c $<
endif

%.cmi: %.mli
ifdef PROFILE
	$(OCAMLCP) -package $(PACKAGES) -o $@ -c $<
else
	$(OCAMLC) -package $(PACKAGES) -o $@ -c $<
endif

%.cmx: %.ml
	$(OCAMLOPT) -package $(PACKAGES) -o $@ -c $<

.PHONY: clean depend cmi-install
clean:
	@rm -f $(CMOS) $(CMIS) $(CMXS:.cmx=.o) $(CMXS) $(OBJS) $(NAME).a $(NAME).cma $(NAME).cmxa $(EXTRA_CLEAN) .depend

depend:
	ocamldep $(SOURCES) $(MLIS) > .depend

=== pkgdiff/Makefile ===
SRCS=	pkgdiff.ml
OBJS= $(SRCS:.ml=.cmo)
XBJS=	$(SRCS:.ml=.cmx)

PACKAGES=	dose2.rapids

OCAMLC=		ocamlfind ocamlc -package $(PACKAGES)
OCAMLOPT=	ocamlfind ocamlopt -package $(PACKAGES)

all: pkgdiff pkgdiff.opt

pkgdiff: $(OBJS)
	$(OCAMLC) -linkpkg -o $@ $^

pkgdiff.opt: $(XBJS)
	$(OCAMLOPT) -linkpkg -o $@ $^

install: pkgdiff pkgdiff.opt
	ln -s pkgdiff debcheck
	ln -s pkgdiff.opt debcheck.opt

%.cmo: %.ml
	$(OCAMLC) -o $@ -c $^

%.cmx: %.ml
	$(OCAMLOPT) -o $@ -c $^

=== debian/changelog ===
pkglab (1.4.2-13build2) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 22:02:11 +0000

pkglab (1.4.2-13build1) quantal; urgency=low

  * No-change rebuild for librpm2 -> librpm3 transition.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 30 Jun 2012 22:46:01 +0400

pkglab (1.4.2-13) unstable; urgency=low

  [ Stéphane Glondu ]
  * add-sources.py: use debian module (from python-debian) instead of
    deprecated debian_bundle (Closes: #625475)

  [ Ralf Treinen ]
  * edos-distcheck: add dependency on ${python:Depends}
  * Fix a grammar error in the pkglab doc-base file
  * Standards-Version: 3.9.2 (no change)
  * Put changes to upstream files as quilt patches (closes: #643249)
  * Added debian/gbp.conf

 -- Ralf Treinen <treinen@debian.org>  Thu, 13 Oct 2011 18:30:03 +0200

pkglab (1.4.2-12) unstable; urgency=low

  * Downgrade priority to extra, since dose2 has priority extra now.
    Thanks to Luca Falavigna for the hint.
  * Migrate to source format 3.0.
  * edos-builddebcheck: read the binary package file directly using
    the "-I" option, instead of merging it with the source packages
    (closes: #582951). Thanks a lot to Andi Barth for the idea!
  * Fix a typo in the long description of edos-distcheck (closes: #603831).
  * Standards-Version: 3.9.1 (no change).
  * Migrate packaging from cdbs to dh.
  * Use dh_ocaml >= 0.9 to get dependencies on ocaml stuff
    (closes: #599298).

 -- Ralf Treinen <treinen@debian.org>  Sun, 13 Feb 2011 12:07:44 +0100

pkglab (1.4.2-11) unstable; urgency=low

  * Fix a bug in the handling of the options -base and -add-source
    reported by Andi Barth. These options are called "-i" and "-I" now,
    and documented in the manpage.
  * Removed Zack from uploaders on his request.

 -- Ralf Treinen <treinen@debian.org>  Mon, 24 May 2010 21:04:59 +0200

pkglab (1.4.2-10) experimental; urgency=low

  * Fix logic in add-sources.py (used by edos-builddebcheck): If one of
    the packages in a disjunction is build-essential then the whole
    disjunctive clause is discarded. Thanks to Zack for the patch!
    (closes: #574380).
  * Have edos-debcheck use (via add-sources.py) the config file
    /etc/edos-builddebcheck.conf. Install that config file, and put
    into /usr/share/edos-distcheck the script to generate it. Thanks
    to Zack for the patch! (closes: #574721).
  * Added debian/source/format, current format is 1.0 (in order to
    facilitate backports).
  * Explain handling of build-essential packages by edos-builddebcheck
    in its manpage; add an item about its configuration file in 
    edos-distcheck.NEWS.

 -- Ralf Treinen <treinen@debian.org>  Thu, 22 Apr 2010 09:04:13 +0200

pkglab (1.4.2-9) unstable; urgency=low

  * Fixed formatting in manpage (closes: #571742)
  * Standards-Version 3.8.4 (no change)
  * Escape some more hyphens in edos-debcheck manpage
  * Do not use asterisk to start an entry in edos-distcheck.NEWS
  * add-soucrces.py: Print correctly stanzas containing non-ascii
    characters (Patch provided by Zack - thanks!)
  * distcheck/common.ml: escape < and > in version numbers in order to
    produce valid xml output even when the Packages file contains rubbish
    version numbers.
  * debian/rules: add to clean target removals of some leftover files

 -- Ralf Treinen <treinen@debian.org>  Sun, 21 Mar 2010 12:36:53 +0100

pkglab (1.4.2-8) unstable; urgency=low

  * distcheck/common.ml: fixed function spec_string to print a 
    dash between upstream version and release (closes: #565324).

 -- Ralf Treinen <treinen@debian.org>  Fri, 15 Jan 2010 09:52:37 +0100

pkglab (1.4.2-7) unstable; urgency=low

  * Remove temporary file on exit (closes: #565152).

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Jan 2010 21:18:19 +0100

pkglab (1.4.2-6) unstable; urgency=low

  [ Ralf Treinen ]
  * add-sources.py: drop all relations to build-essential packages
  * Removed mention of the "-check" option, which is no longer supported,
    from the manpages (closes: #556876).
  * Strengthen dependency of edos-distcheck on python-debian to
    >= 0.1.11 (closes: #564958).
  * Fixed a spelling error in manapge of edos-debcheck
  * manpages: changed - to \- for command options.
  
  [ Stéphane Glondu ]
  * debian/control:
    - update my e-mail address and remove DMUA

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Jan 2010 20:15:35 +0100

pkglab (1.4.2-5) unstable; urgency=low

  * Standards-version 3.8.3 (no change)
  * Enforce dependency on version >= 1.4.2 of dose2 (which implements
    correctly the Breaks field), say in edos-debcheck man page that
    Breaks is treated like Conflicts.
  * Do not use xml entities when printing version constraints unless
    xml mode has been required (closes: #539211).
  * Packages to be checked can now be listed in the form "src:p",
    which will be expanded to the list of all packages that stem
    from source package p (closes:  #516587).
  * Fix add-sources.py to separate binary and source file by blank line
    (closes: #538925).
  * Fix add-sources.py to always copy the Architecture field from the
    source stanza into the generated binary package stanza since the
    Architecture is mandatory for binary packages (closes: #538926).
  * Edos-builddebcheck calls edos-debcheck with the -quiet option.
  * Edos-builddebcheck: adapt the translation of the explanation to the
    new format of explanations.

 -- Ralf Treinen <treinen@debian.org>  Fri, 21 Aug 2009 21:41:19 +0200

pkglab (1.4.2-4) unstable; urgency=low

  * debian/control:
    - add myself to Uploaders, and add DM-Upload-Allowed
    - remove dependency on non-existing package libledit-ocaml
      (Closes: #538208)
    - remove duplicate Section fields
  * debian/copyright: add full path to licenses

 -- Stephane Glondu <steph@glondu.net>  Fri, 24 Jul 2009 17:01:43 +0200

pkglab (1.4.2-3) unstable; urgency=low

  * Issue a warning in case a package is mentioned in the


=== debian/control ===
Source: pkglab
Section: devel
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 ocaml-nox (>= 3.11.1-3~), ocaml-findlib, dh-ocaml (>= 0.9),
 menhir,
 libdose2-ocaml-dev (>= 1.4.2),
 libledit-ocaml-dev,
 libzip-ocaml-dev,
 hevea
Standards-Version: 3.9.2
Homepage: http://sodiac.gforge.inria.fr/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pkglab.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pkglab.git

Package: pkglab
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ceve
Description: interactive environment to explore package repositories
 Pkglab is an interactive, console-based environment to explore package
 repositories of package-based software distributions.
 .
 Using Pkglab package lists can be loaded and installability tests can
 be performed to check whether given package combinations are
 co-installable or not, according to inter-package relationships.

Package: edos-distcheck
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends},
 ${python:Depends}, python-debian (>= 0.1.15~), python, perl,
Conflicts: edos-debcheck (<= 1.0-8), edos-rpmcheck (<= 1.0-8)
Replaces: edos-debcheck, edos-rpmcheck
Provides: edos-debcheck, edos-rpmcheck
Description: Checks whether dependencies of packages can be satisfied
 This software checks for every package of a distribution whether it
 is possible to satisfy its dependencies and conflicts within this
 distribution. It comes in several versions:
  - edos-debcheck for Debian packages
  - edos-rpmcheck for rpm packages
  - edos-pscheck for pkg_summary package descriptions
  - edos-builddebcheck for build-dependencies of Debian packages.

=== debian/rules ===
#!/usr/bin/make -f

# do we have compilation of ocaml to native code?
OPT = $(shell test -x /usr/bin/ocamlopt && echo true)

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	$(MAKE) depend

# dh_auto_clean calls "make clean", and our Makefile needs dql/.depend
override_dh_auto_clean:
	touch dql/.depend && dh_auto_clean

override_dh_auto_build:
	$(MAKE)
ifeq ($(OPT),true)
	make pkglab.opt
	cd distcheck && make distcheck.opt
else
	make pkglab
	cd distcheck && make distcheck
endif
	cd doc && make pkglab.html

override_dh_auto_install:
ifeq ($(OPT),true)
	cp pkglab.opt debian/pkglab/usr/bin/pkglab
	cp distcheck/distcheck.opt\
		debian/edos-distcheck/usr/lib/edos-distcheck/distcheck
else
	cp pkglab debian/pkglab/usr/bin
	cp distcheck/distcheck\
		debian/edos-distcheck/usr/lib/edos-distcheck/distcheck
endif

override_dh_strip:
ifeq ($(OPT),true)
	dh_strip
else	
	dh_strip -X usr/bin/pkglab
endif

=== debian/watch ===
version=3
http://gforge.inria.fr/frs/?group_id=929 .*/pkglab-(.*)\.tar\.gz

## pkglab 1.4.2-11+5.0trisquel1

=== debian/changelog ===
pkglab (1.4.2-11+5.0trisquel1) dagda; urgency=low

  * Pkglab compiled for trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 09 Jan 2012 01:40:53 +0000

=== debian/control ===
Source: pkglab
Section: devel
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 cdbs, debhelper (>= 7),
 ocaml-nox, ocaml-findlib, dh-ocaml,
 menhir,
 libdose2-ocaml-dev (>= 1.4.2),
 libledit-ocaml-dev,
 libzip-ocaml-dev,
 hevea
Standards-Version: 3.8.4
Homepage: http://sodiac.gforge.inria.fr/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pkglab.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pkglab.git

Package: pkglab
Architecture: any
Depends:
 ${F:OCamlInterpDepends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: ceve
Description: interactive environment to explore package repositories
 Pkglab is an interactive, console-based environment to explore package
 repositories of package-based software distributions.
 .
 Using Pkglab package lists can be loaded and installability tests can
 be performed to check whether given package combinations are
 co-installable or not, according to inter-package relationships.

Package: edos-distcheck
Architecture: any
Depends:
 python-debian (>= 0.1.11), python, perl,
 ${F:OCamlInterpDepends},
 ${shlibs:Depends},
 ${misc:Depends}
Conflicts: edos-debcheck (<= 1.0-8), edos-rpmcheck (<= 1.0-8)
Replaces: edos-debcheck, edos-rpmcheck
Provides: edos-debcheck, edos-rpmcheck
Description: Checks whether dependencies of packages can be satisfied
 This software checks for every package of a distribution whether it
 is possible to satisfy its dependencies and conflicts within this
 distribution. It comes in several versions:
  - edos-debcheck for Debian packages
  - edos-rpmcheck for rpm packages
  - edos-pscheck for pkg_summary package descriptions
  - edos-builddebcheck for build-depenendencies of Debian packages.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/ocaml.mk

PKGLAB_INST = $(CURDIR)/debian/pkglab
DISTCHECK_INST = $(CURDIR)/debian/edos-distcheck

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
 DEB_MAKE_BUILD_TARGET = depend pkglab.opt
else
 DEB_MAKE_BUILD_TARGET = depend pkglab
 DEB_DH_GENCONTROL_ARGS += \
  -VF:OCamlInterpDepends="ocaml-base-nox-$(OCAML_ABI), libdose2-ocaml, libzip-ocaml"
 DEB_STRIP_EXCLUDE += usr/bin/pkglab
endif

build/pkglab::
	cd doc && make pkglab.html

build/edos-distcheck::
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	cd distcheck && make distcheck.opt
else
	cd distcheck && make distcheck
endif

install/edos-distcheck::
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	cp distcheck/distcheck.opt $(DISTCHECK_INST)/usr/lib/edos-distcheck/distcheck
else
	cp distcheck/distcheck $(DISTCHECK_INST)/usr/lib/edos-distcheck/distcheck
endif

clean::
	cd distcheck && rm -f common.cmi common.cmx common.o distcheck.opt
	cd doc && rm -rf pkglab.haux pkglab.html

DEB_MAKE_INSTALL_TARGET = \
 install DESTDIR=$(PKGLAB_INST)/usr MANDIR=$(PKGLAB_INST)/usr/share/man

## pkglab 1.4.2-12+5.5trisquel1

=== debian/changelog ===
pkglab (1.4.2-12+5.5trisquel1) brigantia; urgency=low

  * Pkglab compiled for trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 10 Jun 2012 14:31:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,25 @@
 Source: pkglab
 Section: devel
-Priority: optional
+Priority: extra
 Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders:
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends:
- cdbs, debhelper (>= 7),
- ocaml-nox, ocaml-findlib, dh-ocaml,
+Build-Depends: debhelper (>= 7.0.50~),
+ ocaml-nox (>= 3.11.1-3~), ocaml-findlib, dh-ocaml (>= 0.9),
  menhir,
  libdose2-ocaml-dev (>= 1.4.2),
  libledit-ocaml-dev,
  libzip-ocaml-dev,
  hevea
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://sodiac.gforge.inria.fr/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pkglab.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pkglab.git
 
 Package: pkglab
 Architecture: any
-Depends:
- ${F:OCamlInterpDepends},
- ${shlibs:Depends},
- ${misc:Depends}
+Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: ceve
 Description: interactive environment to explore package repositories
  Pkglab is an interactive, console-based environment to explore package
@@ -35,11 +31,8 @@
 
 Package: edos-distcheck
 Architecture: any
-Depends:
+Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends},
  python-debian (>= 0.1.11), python, perl,
- ${F:OCamlInterpDepends},
- ${shlibs:Depends},
- ${misc:Depends}
 Conflicts: edos-debcheck (<= 1.0-8), edos-rpmcheck (<= 1.0-8)
 Replaces: edos-debcheck, edos-rpmcheck
 Provides: edos-debcheck, edos-rpmcheck
@@ -50,4 +43,4 @@
   - edos-debcheck for Debian packages
   - edos-rpmcheck for rpm packages
   - edos-pscheck for pkg_summary package descriptions
-  - edos-builddebcheck for build-depenendencies of Debian packages.
+  - edos-builddebcheck for build-dependencies of Debian packages.

## pkglab 1.4.2-13build2+7.0trisquel1

=== distcheck/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 OBJS= $(SRCS:.ml=.cmo)
 XBJS=	$(SRCS:.ml=.cmx)
 
-PACKAGES=	dose2.packetology,dose2.rapids
+PACKAGES=	dose2.packetology,dose2.rapids,str
 
 OCAMLC=		ocamlfind ocamlc -package $(PACKAGES)
 OCAMLOPT=	ocamlfind ocamlopt -package $(PACKAGES)
@@ -37,7 +37,7 @@
 	cp pscheck.opt $(BINDIR)
 
 clean:
-	rm -f distcheck distcheck.opt *.o *.cmo *.cmx
+	rm -f distcheck distcheck.opt *.o *.cmo *.cmx *.cmi
 
 %.cmo: %.ml
 	$(OCAMLC) -o $@ -c $^

=== .pc/various/distcheck/Makefile ===
include ../Makefile.config

SRCS=	common.ml
OBJS= $(SRCS:.ml=.cmo)
XBJS=	$(SRCS:.ml=.cmx)

PACKAGES=	dose2.packetology,dose2.rapids

OCAMLC=		ocamlfind ocamlc -package $(PACKAGES)
OCAMLOPT=	ocamlfind ocamlopt -package $(PACKAGES)

all: distcheck distcheck.opt

distcheck: $(OBJS)
	$(OCAMLC) -linkpkg -o $@ $^

distcheck.opt: $(XBJS)
	$(OCAMLOPT) -linkpkg -o $@ $^

.PHONY: install links
links: distcheck distcheck.opt
	ln -s distcheck debcheck
	ln -s distcheck.opt debcheck.opt
	ln -s distcheck rpmcheck
	ln -s distcheck.opt rpmcheck.opt
	ln -s distcheck pscheck
	ln -s distcheck.opt pscheck.opt

install: links
	cp distcheck $(BINDIR)
	cp distcheck.opt $(BINDIR)
	cp debcheck $(BINDIR)
	cp debcheck.opt $(BINDIR)
	cp rpmcheck $(BINDIR)
	cp rpmcheck.opt $(BINDIR)
	cp pscheck $(BINDIR)
	cp pscheck.opt $(BINDIR)

clean:
	rm -f distcheck distcheck.opt *.o *.cmo *.cmx *.cmi

%.cmo: %.ml
	$(OCAMLC) -o $@ -c $^

%.cmx: %.ml
	$(OCAMLOPT) -o $@ -c $^

=== debian/changelog ===
pkglab (1.4.2-13build2+7.0trisquel1) belenos; urgency=medium

  * Pkglab compiled for trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 23 Nov 2014 19:25:42 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libledit-ocaml-dev,
  libzip-ocaml-dev,
  hevea
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://sodiac.gforge.inria.fr/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pkglab.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pkglab.git
@@ -32,7 +32,7 @@
 Package: edos-distcheck
 Architecture: any
 Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends},
- python-debian (>= 0.1.11), python, perl,
+ ${python:Depends}, python-debian (>= 0.1.15~), python, perl,
 Conflicts: edos-debcheck (<= 1.0-8), edos-rpmcheck (<= 1.0-8)
 Replaces: edos-debcheck, edos-rpmcheck
 Provides: edos-debcheck, edos-rpmcheck
